vga_lockvc(3)

NAME
vga_lockvc - disables virtual console switching for safety

SYNOPSIS
#include <vga.h> void vga_lockvc(void);

DESCRIPTION
Disables virtual console switching for safety. Recommended when doing register I/O or low-level device handling. Used by mouse functions. Also useful in conjunction with background running.

SEE ALSO
svgalib(7), vgagl(7), libvga.config(5), bg_test(6), vga_oktowrite(3), vga_runinbackground(3), vga_runinbackground_version(3), vga_unlockvc(3),

AUTHOR
This manual page was edited by Michael Weller <eowmob@exp-math.uni-essen.de>. The exact source of the referenced function as well as of the original documentation is unknown. It is very likely that both are at least to some extent are due to Harm Hanemaayer <H.Hanemaayer@inter.nl.net>. Occasionally this might be wrong. I hereby asked to be excused by the original author and will happily accept any additions or corrections to this first version of the svgalib manual.